#property script_show_inputs

#resource "\\Images\\_on.bmp";
#resource "\\Images\\_off.bmp";

void OnStart() {
	Draw_Switcher(
		"Switch_ON",					//  
		CORNER_RIGHT_LOWER, //    
		ANCHOR_RIGHT_LOWER, //   
		131,									//    X
		0,									//    Y
		130,								//  
		76,									//  
		"::Images\\_off.bmp",	//  ON
		"::Images\\_on.bmp"	//  OFF
  );
	Draw_Switcher(
		"Switch_OFF",					//  
		CORNER_RIGHT_LOWER, //    
		ANCHOR_RIGHT_LOWER, //   
		0,									//    X
		0,									//    Y
		130,								//  
		76,									//  
		"::Images\\_on.bmp",	//  ON
		"::Images\\_off.bmp"	//  OFF
  );
}



bool Draw_Switcher(
		const string						s_Name="Switcher",		//  
		const ENUM_BASE_CORNER	e_Corner=CORNER_LEFT_UPPER, //    
		const ENUM_ANCHOR_POINT	e_Anchor=ANCHOR_LEFT_UPPER, //   
		const int								i_X_Pos=0,						//    X
		const int								i_Y_Pos=0,						//    Y
		const int								i_Width=0,						//  
		const int								i_Height=0,						//  
		const string						s_Img_ON="",					//  ON
		const string						s_Img_OFF="",					//  OFF
		const bool							b_State=false,				//   
		const long							i_Chart_ID=0,					// ID 
		const int								i_Sub_Window=0,				//  
		const color							c_Color=clrRed,				//    
		const ENUM_LINE_STYLE		e_Style=STYLE_SOLID,	//    
		const int								i_Point_Width=1,			//   
		const bool							b_Back=false,					//   
		const bool							b_Selection=false,		//   
		const bool							b_Hidden=true,				//    
		const long							i_Z_Order=0						//    
  ) {
	
	ResetLastError();
	//  :
	if(!ObjectCreate(i_Chart_ID, s_Name, OBJ_BITMAP_LABEL, i_Sub_Window, 0, 0)) {
		Print(__FUNCTION__, ":  #", GetLastError(), "   !");
		return(false);
	}
	if(!ObjectSetString(i_Chart_ID, s_Name, OBJPROP_BMPFILE, 0, s_Img_ON)) {
		Print(__FUNCTION__, ": #", GetLastError(), "   ON!");
		return(false);
	}
	if(!ObjectSetString(i_Chart_ID, s_Name, OBJPROP_BMPFILE, 0, s_Img_OFF)) {
		Print(__FUNCTION__, ": #", GetLastError(), "   OFF!");
		return(false);
	}
	//    :
	ObjectSetInteger(i_Chart_ID, s_Name, OBJPROP_CORNER, e_Corner);
	ObjectSetInteger(i_Chart_ID, s_Name, OBJPROP_ANCHOR, e_Anchor);
	ObjectSetInteger(i_Chart_ID, s_Name, OBJPROP_XDISTANCE, i_X_Pos);
	ObjectSetInteger(i_Chart_ID, s_Name, OBJPROP_YDISTANCE, i_Y_Pos);
	//   :
	ObjectSetInteger(i_Chart_ID, s_Name, OBJPROP_XSIZE, i_Width);
	ObjectSetInteger(i_Chart_ID, s_Name, OBJPROP_YSIZE, i_Height);
	//     :
	ObjectSetInteger(i_Chart_ID, s_Name, OBJPROP_YOFFSET, 0);
	ObjectSetInteger(i_Chart_ID, s_Name, OBJPROP_XOFFSET, 0);
	//  :
	ObjectSetInteger(i_Chart_ID, s_Name, OBJPROP_STATE, b_State);
	//   :
	ObjectSetInteger(i_Chart_ID, s_Name, OBJPROP_COLOR, c_Color);
	ObjectSetInteger(i_Chart_ID, s_Name, OBJPROP_STYLE, e_Style);
	ObjectSetInteger(i_Chart_ID, s_Name, OBJPROP_WIDTH, i_Point_Width);
	ObjectSetInteger(i_Chart_ID, s_Name, OBJPROP_BACK, b_Back);
	ObjectSetInteger(i_Chart_ID, s_Name, OBJPROP_SELECTABLE, b_Selection);
	ObjectSetInteger(i_Chart_ID, s_Name, OBJPROP_SELECTED, b_Selection);
	ObjectSetInteger(i_Chart_ID, s_Name, OBJPROP_HIDDEN, b_Hidden);
	ObjectSetInteger(i_Chart_ID, s_Name, OBJPROP_ZORDER, i_Z_Order);
	
	return(true);
}
